Bug 1439850 - [RFE] Allow setting HTTPS CDN URLs in Satellite
Summary: [RFE] Allow setting HTTPS CDN URLs in Satellite
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.2.8
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: Bruno Rocha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-06 16:56 UTC by Rich Jerrido
Modified: 2020-08-13 09:02 UTC (History)
9 users (show)

Fixed In Version: katello-3.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:39:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 19200 0 Normal Closed Allow setting HTTPS CDN URLs in Satellite 2020-06-19 09:16:43 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description Rich Jerrido 2017-04-06 16:56:07 UTC
Description of problem:

As a user who leverages Satellite 6.2's Inter-Satellite-Sync feature, I'd like to be able to set my CDN URL to https://server.domain.com. In many environments, I am exporting content to disk via ISS, but I'd like to transport it to an additional downstream Satellite via HTTPs. 

I currently cannot do this today as only cdn.redhat.com is allowed as an HTTPS URL.


Assuming that Satellite can properly verify the CA of the upstream server over HTTPS (i.e, the CA is in the trust store), I'd like to use it as my upstream CDN.

Comment 1 Justin Sherrill 2017-04-06 17:09:45 UTC
Created redmine issue http://projects.theforeman.org/issues/19200 from this bug

Comment 2 pm-sat@redhat.com 2017-04-06 18:14:29 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 6 pm-sat@redhat.com 2017-05-09 14:14:33 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19200 has been resolved.

Comment 7 pm-sat@redhat.com 2017-06-01 20:35:32 UTC
11405401

Comment 9 Bruno Rocha 2017-09-21 17:02:08 UTC
Verified with steps:

1) Imported a manifest

2) On the manifest import page, changed cdn url to https://jlsherrill.fedorapeople.org/fakecdn/

3) On the Redhat Repos page enabled RHEL 7 Server RPMs. (7.2 and 7.99 available).

4) Enabled and synced both repos (empty). 

5) Changed the cdn back to original http://cdn.redhat.com

6) Disabled those 7.2 and 7.99 coming from fakecdn and enabled content from cdn.redhat.com

7) Sync again and succeed!


Version:

[root@cloud-qe-15 ~]# rpm -q satellite
satellite-6.3.0-18.0.beta.el7sat.noarch

Comment 12 errata-xmlrpc 2018-02-21 12:39:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.